
D4Science Infrastructure - VM Creation #11954

VM to host the GRSF-services-updater service

Jun 14, 2018 08:41 AM - Yannis Marketakis

Status: Closed Start date: Jun 14, 2018

Priority: High Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Target version: No Sprint   

Infrastructure: Production Applications list and

version:

 

RAM: 4 Applications context

path:

/grsf-services-updater

/grsf-api

CPU: 2 External storage data

disk:

 

DiskSpace: 10 Smartgears auth

connector:

 

Smartgears: Yes data transfer

enabled:

No

Smartgears Version:  PostgreSQL

database:

No

Application

Instructions:

 Number of VMs: 1

Smartgears scopes: /d4science.research-infrastructures.eu/F

ARM/GRSF_Admin

/d4science.research-infrastructures.eu/F

ARM/GRSF

  

Description

The service is responsible for: (a) updating GRSF records (through the GRSF_Admin VRE management portal) and (b) exposing

particular GRSF information (e.g. expose GRSF UUIDs).

This means that apart from the GRSF-Admin, the service will be used by external parties (e.g. FIRMS developers team).

For this reason, it is required to host it in a VM with a permanent URL

History

#1 - Jun 18, 2018 05:30 PM - Andrea Dell'Amico

Do we have a way to install and configure it? we usually completely deploy and configure the services hosted here.

#2 - Jun 20, 2018 09:47 AM - Yannis Marketakis

The webApps (there are two) have been uploaded on SVN.

https://svn.d4science-ii.research-infrastructures.eu/gcube/trunk/application/GRSF/grsf-services-updater

https://svn.d4science-ii.research-infrastructures.eu/gcube/trunk/application/GRSF/grsf-api

#3 - Jul 26, 2018 02:06 PM - Luca Frosini

- Priority changed from Normal to High

#4 - Jul 26, 2018 03:18 PM - Andrea Dell'Amico

- RAM changed from 2 to 4

#5 - Jul 26, 2018 03:20 PM - Andrea Dell'Amico

- Smartgears changed from No to Yes

- Applications context path updated

@luca.frosini@isti.cnr.it I need the smartgears scope here.
#6 - Jul 26, 2018 03:23 PM - Andrea Dell'Amico

@marketak@ics.forth.gr is there a build for the two applications? Did you connect the source to our CI service?

#7 - Jul 26, 2018 03:34 PM - Massimiliano Assante

/d4science.research-infrastructures.eu/FARM/GRSF_Admin

/d4science.research-infrastructures.eu/FARM/GRSF

#8 - Jul 26, 2018 03:37 PM - Andrea Dell'Amico

- Smartgears scopes updated

#9 - Jul 26, 2018 03:45 PM - Tommaso Piccioli

- Status changed from New to In Progress

- % Done changed from 0 to 20

updater.grsf.d4science.org is running, to be deployed

#10 - Jul 27, 2018 08:37 AM - Yannis Marketakis

Andrea Dell'Amico wrote:

@marketak@ics.forth.gr is there a build for the two applications? Did you connect the source to our CI service?

 I'm not aware of this. Can you explain ?

#11 - Jul 27, 2018 10:46 AM - Luca Frosini

Hi @marketak@ics.forth.gr 

the system engineer need the artefact to deploy. I mean the war. Our provisioning framework is conceived to get this artefact from gcube nexus

repository:

http://maven.research-infrastructures.eu/nexus/index.html#welcome

The repository is populated by ETICS build.

Did you create the ETICS configuration so that we can run a build form there?

#12 - Jul 27, 2018 04:24 PM - Yannis Marketakis

Thanks Luca for your reply.

I can create the configuration in ETICS.

Firstly, I have to see where I should put it (under which subsystem ?). I see two configurations about GRSF (i.e. grsf-common-library and

grsf-publisher-ws) under data-catalogue.  I suppose I could create the configurations there. 

I see from https://gcube.wiki.gcube-system.org/gcube/Role_Subsystem_Manager that the susbsystem manager for data-catalogue is

@francesco.mangiacrapa@isti.cnr.it . Could you create the configurations under data-catalogue so that I can update them afterwards ?

#13 - Jul 27, 2018 04:30 PM - Luca Frosini

I created the component 'grsf-services-updater' under 'data-catalogue' subsystem.

Let us know if you have the right to edit it. Otherwise, please ask to @mariaantonietta.digirolamo@eng.it or @gabriele.giammatteo@eng.it 

#14 - Jul 27, 2018 04:37 PM - Yannis Marketakis

Thanks @luca.frosini@isti.cnr.it for the prompt reaction. Unfortunately, I cannot edit it. 

@mariaantonietta.digirolamo@eng.it  or @gabriele.giammatteo@eng.it  could you please take a look ?

#15 - Jul 30, 2018 10:06 AM - Gabriele Giammatteo

Hi @marketak@ics.forth.gr, I granted you permission to edit and build the component. Let me know if it works and if you need to grant permissions to

someone else 

#16 - Jul 30, 2018 11:16 AM - Yannis Marketakis

Thanks @gabriele.giammatteo@eng.it . I confirm I can edit the configuration. 
@luca.frosini@isti.cnr.it could you please create one more configuration (under the data-catalogue subsystem) for grsf-api ?

#17 - Jul 30, 2018 11:54 AM - Gabriele Giammatteo

I also granted permissions to create and edit new components in the data-catalogue subsystem. I tried to add also permissions to

@minadakn@ics.forth.gr, but I couldn't find it on ETICS. If you have an account, please let me know the username.

#18 - Jul 30, 2018 12:07 PM - Yannis Marketakis

Thank you @gabriele.giammatteo@eng.it 

#19 - Aug 02, 2018 01:23 PM - Andrea Dell'Amico

Do we have an artifact yet? I cannot find anything in nexus.

#20 - Aug 02, 2018 04:20 PM - Yannis Marketakis

I've just deployed grsf-services-updater on http://maven.research-infrastructures.eu/nexus/content/repositories/gcube-snapshots/

I have triggered a remote build for grsf-api as well, so in a while you'll see the artifact for grsf-api on the snapshots repository

#21 - Aug 07, 2018 12:51 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 20 to 100

The services are available at updater.grsf.d4science.org/{grsf-api,grsf-services-updater} on both http and https (no redirection from http to https).

@lucio.lelii@isti.cnr.it @luca.frosini@isti.cnr.it I did not install any gcube-app.xml file into the apps directory. Do I need to? Or perhaps is something

that @marketak@ics.forth.gr can add to the sources by himself?

#22 - Aug 07, 2018 08:11 PM - Luca Frosini

Normally it should be added in distro directory as described here:

https://wiki.gcube-system.org/gcube/SmartGears

But maybe in the container running before this it was added manually

#23 - Aug 08, 2018 02:51 PM - Andrea Dell'Amico

Luca Frosini wrote:

Normally it should be added in distro directory as described here:

https://wiki.gcube-system.org/gcube/SmartGears

But maybe in the container running before this it was added manually

 I don't understand your answer. There isn't an old version of this service.

Meanwhile, we usually add a custom gcube-app.xml file into the tomcat applications that are not smartgears aware (geoserver, geonetwork, etc). I

was asking if I should do the same for these services of if it's something that should be added into the sources (and so to the war file).

#24 - Aug 27, 2018 01:16 PM - Yannis Marketakis

The services look fine. Thanks.

The configuration of the services (i.e. passing the proper token, the connection details for the SPARQL endpoints, etc.) through a Spring beans XML

file which is included in the WAR. I think that's enough.

I have a question as regards the re-deployment of these web applications: Does it occur on the fly (as soon as I trigger a remote build on ETICS) or I

should ask for redeploying the web application? 

#25 - Aug 27, 2018 03:01 PM - Andrea Dell'Amico

Yannis Marketakis wrote:

The services look fine. Thanks.

The configuration of the services (i.e. passing the proper token, the connection details for the SPARQL endpoints, etc.) through a Spring beans

XML file which is included in the WAR. I think that's enough.
 My question was mainly for @luca.frosini@isti.cnr.it, that file is used to expose the service to the infrastructure.

I have a question as regards the re-deployment of these web applications: Does it occur on the fly (as soon as I trigger a remote build on ETICS)

or I should ask for redeploying the web application?

 You'll have to ask, sorry. There's no continuous deployment right now.

#26 - Aug 28, 2018 10:29 AM - Luca Frosini

@andrea.dellamico@isti.cnr.it the gcube-apps.xml (used to expose the service to the infrastructure) can be added in distro directory as described at 

https://wiki.gcube-system.org/gcube/SmartGears instead of adding it with provisioning.

We add it with provisioning for services built by a third party. In this case, instead, the service is built with ETICS so the standard behaviour is to add it

in sources.

#27 - Aug 28, 2018 11:03 AM - Andrea Dell'Amico

- Status changed from Feedback to Closed

OK, thanks.
